HP Support

hp-contact-secondary-navigation

Actions
Loading...

hp-share-print-widget

Actions
Loading...

hp-concentra-wrapper

Actions
Loading...

Additional Software

This document applies to HP MediaSmart Server EX470 and EX475.
Internet Explorer 6.0 or later is required to run the HP MediaSmart Server software. Download Internet Explorer from click here to go to www.microsoft.com/downloads
iTunes 7.1 or later is required for combining household music libraries and streaming music with iTunes. Download iTunes from click here to go to www.apple.com/itunes/download.
 note:
One or more of the links above will take you outside the Hewlett-Packard Web site. HP does not control and is not responsible for information outside of the HP Web site.
 note:
One or more of the links above will take you outside the Hewlett-Packard Web site. HP does not control and is not responsible for information outside of the HP Web site.

hp-online-communities

Actions
Loading...
EmptyPortlet
Contact HP

Contact HP

Let HP help you find the answer or identify a service location. Contact us >

Country: United States